VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.OCX"
Begin VB.Form frmLoadROM 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "NSMB Editor 2.0"
   ClientHeight    =   3960
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   2265
   Icon            =   "loadrom.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3960
   ScaleWidth      =   2265
   StartUpPosition =   3  'Windows Default
   Begin MSComDlg.CommonDialog cdlgPickROM 
      Left            =   1680
      Top             =   3360
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      CancelError     =   -1  'True
      DialogTitle     =   "Select a New Super Mario Bros. ROM..."
      Filter          =   "Nintendo DS ROMs|*.nds"
   End
   Begin VB.CommandButton cmdLoadROM 
      Caption         =   "Load ROM"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   3480
      Width           =   1095
   End
   Begin VB.Frame fraLevel 
      Caption         =   "Choose a level.."
      Height          =   2775
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2055
      Begin VB.ListBox lstLevels 
         Height          =   2400
         Left            =   120
         TabIndex        =   4
         Top             =   240
         Width           =   1815
      End
   End
   Begin VB.Label lblROM 
      Caption         =   "No ROM loaded."
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   3000
      Width           =   2055
   End
   Begin VB.Label lblStatus 
      Caption         =   "0 levels found"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   3240
      Width           =   2055
   End
End
Attribute VB_Name = "frmLoadROM"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdLoadROM_Click()
  Dim TempInt As Integer, TempStr As String, TempStr2 As String
  Dim LevelCount As Integer
  
  On Error GoTo Cancelled
  cdlgPickROM.ShowOpen

  On Error GoTo RealError
  Load_ROM cdlgPickROM.FileName
  
  If ROMWasFound = False Then MsgBox "The ROM wasn't found!": Exit Sub
  
  For TempInt = LBound(ntrFiles) To UBound(ntrFiles)
    If ntrFiles(TempInt).Name Like "[A-J][0-9][0-9]_[0-9]_bgdat.bin" Then
      TempStr = "World "
      TempStr = TempStr & Chr(Asc(Mid(ntrFiles(TempInt).Name, 1, 1)) - 16)
      If Right(TempStr, 1) = ":" Then TempStr = Mid(TempStr, 1, Len(TempStr) - 1) & "10"
      TempStr = TempStr & "-"
      TempStr2 = Mid(ntrFiles(TempInt).Name, 2, 2)
      If Left(TempStr2, 1) = "0" Then TempStr2 = Mid(TempStr2, 2, 1)
      TempStr = TempStr & TempStr2
      TempStr = TempStr & " area "
      TempStr = TempStr & Mid(ntrFiles(TempInt).Name, 5, 1)
      lstLevels.AddItem TempStr
      lstLevels.ItemData(lstLevels.NewIndex) = TempInt
      LevelCount = LevelCount + 1
    End If
  Next TempInt
  
  lblStatus.Caption = LevelCount & " levels found"
  lblROM.Caption = cdlgPickROM.FileTitle
  
Cancelled:
  Exit Sub
RealError:
  lblStatus.Caption = "0 levels found"
  lblROM.Caption = "No ROM loaded"
  lstLevels.Clear
  MsgBox "An error #" & Trim(Str(Err.Number)) & " occured while loading the ROM:" & vbLf & "  " & Err.Description, vbExclamation Or vbOKOnly
End Sub

Private Sub Form_Unload(Cancel As Integer)
  End
End Sub

Private Sub lstLevels_DblClick()
  Me.Hide
  frmLevelEdit.Show
  LoadLevel lstLevels.ItemData(lstLevels.ListIndex), lstLevels.List(lstLevels.ListIndex)
  frmLevelEdit.InitLevel
End Sub
