VERSION 5.00
Begin VB.Form frmPickTile 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Pick a Tile..."
   ClientHeight    =   2760
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3840
   Icon            =   "tilepicker.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   184
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   256
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.ListBox lstObjects 
      Height          =   2010
      Left            =   120
      TabIndex        =   6
      Top             =   120
      Width           =   2175
   End
   Begin VB.Frame fraPreview 
      Caption         =   "Preview"
      Height          =   1335
      Left            =   2400
      TabIndex        =   3
      Top             =   120
      Width           =   1335
      Begin VB.Label lblNoPreview 
         Alignment       =   2  'Center
         Caption         =   "No preview is available for this object."
         Height          =   615
         Left            =   120
         TabIndex        =   4
         Top             =   240
         Width           =   1095
      End
      Begin VB.Image imgPreview 
         Height          =   975
         Left            =   120
         Top             =   240
         Width           =   1095
      End
   End
   Begin VB.TextBox txtDesc 
      BeginProperty Font 
         Name            =   "Small Fonts"
         Size            =   6.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   750
      Left            =   2400
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   2
      Top             =   1560
      Width           =   1335
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   2280
      Width           =   1095
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   1200
      TabIndex        =   0
      Top             =   2280
      Width           =   1095
   End
   Begin VB.Label lblTileType 
      Caption         =   "Tile type: 255 255"
      Height          =   255
      Left            =   2400
      TabIndex        =   5
      Top             =   2400
      Width           =   1335
   End
End
Attribute VB_Name = "frmPickTile"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private ObjFB() As Integer, ObjSB() As Integer

Public Function InitPicker(Tile1 As Integer, Tile2 As Integer) As Boolean
  Dim h As Integer, q As Integer, z As Integer
  Dim s As String, curs As Integer
  
  If Dir(App.Path & ObjDefIni) = "" Then
    InitPicker = False
    Exit Function
  End If
  
  h = FreeFile
  lstObjects.Clear
  Open App.Path & ObjDefIni For Input As #h
    Do Until EOF(h)
      Line Input #1, s
      If Left(s, 1) = "[" Then
        curs = Val(Mid(s, 2, Len(s) - 2))
        GoTo SkipThis
      End If
      If s Like "*pic=*.*" Then GoTo SkipThis
      If s Like "*desc=*" Then GoTo SkipThis
      If s Like "*colour=*" Then GoTo SkipThis
      If s Like ";*" Then GoTo SkipThis
      If s = "" Then GoTo SkipThis
      q = InStr(1, s, "=")
      If q = 0 Then GoTo SkipThis
      ReDim Preserve ObjFB(z)
      ReDim Preserve ObjSB(z)
      lstObjects.AddItem Mid(s, q + 1)
      ObjFB(z) = Val(Mid(s, 1, q - 1))
      ObjSB(z) = curs
      lstObjects.ItemData(lstObjects.NewIndex) = z
      z = z + 1
SkipThis:
    Loop
  Close #h
  
  lblTileType.Caption = "Tile type: N/A"
  imgPreview.Picture = LoadPicture()
  txtDesc.Text = ""
  InitPicker = True
End Function

Private Sub cmdCancel_Click()
  Me.Hide
End Sub

Private Sub cmdOK_Click()
  If lstObjects.ListIndex = -1 Then Me.Hide: Exit Sub
  
  frmEditTile.txtTile1.Text = Trim(Str(ObjFB(lstObjects.ItemData(lstObjects.ListIndex))))
  frmEditTile.txtTile2.Text = Trim(Str(ObjSB(lstObjects.ItemData(lstObjects.ListIndex))))
  Me.Hide
End Sub

Private Sub lstObjects_Click()
  Dim s As String
  
  If lstObjects.ListIndex = -1 Then Exit Sub
  imgPreview.Visible = False
  lblNoPreview.Visible = True
  s = ReadIniValue(App.Path & ObjDefIni, Trim(Str(ObjSB(lstObjects.ItemData(lstObjects.ListIndex)))), Trim(Str(ObjFB(lstObjects.ItemData(lstObjects.ListIndex)))) & "pic")
  If s <> "ERROR" Then
    s = App.Path & "\previews" & IIf(Left(s, 1) = "\", "", "\") & s
    If Dir(s) <> "" Then
      imgPreview.Picture = LoadPicture(s)
      imgPreview.Visible = True
      lblNoPreview.Visible = False
    End If
  End If
  
  s = ReadIniValue(App.Path & ObjDefIni, Trim(Str(ObjSB(lstObjects.ItemData(lstObjects.ListIndex)))), Trim(Str(ObjFB(lstObjects.ItemData(lstObjects.ListIndex)))) & "desc")
  If s <> "ERROR" Then
    txtDesc.Text = s
  Else
    txtDesc.Text = "No description for this object."
  End If
  
  lblTileType.Caption = "Tile type: " & Trim(Str(ObjFB(lstObjects.ItemData(lstObjects.ListIndex)))) & " " & Trim(Str(ObjSB(lstObjects.ItemData(lstObjects.ListIndex))))
End Sub
